%define upstream_name    Dist-Zilla-Plugin-MetaProvides
%define upstream_version 1.12060501

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    In the event nothing else works, pull in hand-crafted metadata from a specified file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Util::EmulatePhase) >= 0.10.1.10
BuildRequires: perl(Dist::Zilla::Util::Test::KENTNL) >= 0.10.0.40
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
This Distribution Contains a small bundle of plugins for various ways of
populating the 'META.yml' that is built with your distribution.

The initial reason for this is due to stuff that uses the MooseX::Declare
manpage style class definitions not being parseable by many tools upstream,
so this is here to cover this problem by defining it in the metadata.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
%{__rm} -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Apr 12 2011 jquelin <jquelin> 1.120.605.10-1.mga1
+ Revision: 83757
- update to 1.12060501

* Thu Apr 07 2011 jquelin <jquelin> 1.120.602.120-1.mga1
+ Revision: 81845
- update buildrequires:
- update to 1.12060212

* Sat Feb 26 2011 jquelin <jquelin> 1.120.448.60-1.mga1
+ Revision: 60198
- update buildrequires:
- update to 1.12044806

* Wed Jan 26 2011 jquelin <jquelin> 1.110.342.10-1.mga1
+ Revision: 41259
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-MetaProvides

